XDestroyWindow(3X11)

NAME
XDestroyWindow, XDestroySubwindows - destroy windows

SYNTAX

int XDestroyWindow(Display *display, Window w);

int XDestroySubwindows(Display *display, Window w);

ARGUMENTS

display
    Specifies the connection to the X server.

w   Specifies the window.

DESCRIPTION
The function destroys the specified window as well as all of its subwindows and causes the X server to generate a event for each window. The window should never be referenced again. If the window specified by the w argument is mapped, it is unmapped automatically. The ordering of the events is such that for any given window being destroyed, is generated on any inferiors of the window before being generated on the window itself. The ordering among siblings and across subhierarchies is not otherwise constrained. If the window you specified is a root window, no windows are destroyed. Destroying a mapped window will generate events on other windows that were obscured by the window being destroyed.

can generate a error.

The function destroys all inferior windows of the specified window, in bottom-to-top stacking order. It causes the X server to generate a event for each window. If any mapped subwindows were actually destroyed, causes the X server to generate events on the specified window. This is much more efficient than deleting many windows one at a time because much of the work need be performed only once for all of the windows, rather than for each window. The subwindows should never be referenced again.

can generate a error.

DIAGNOSTICS

A value for a Window argument does not name a defined Window.

SEE ALSO
XChangeWindowAttributes(3X11), XConfigureWindow(3X11), XCreateWindow(3X11), XMapWindow(3X11), XRaiseWindow(3X11), XUnmapWindow(3X11)
Xlib - C Language X Interface